%define	name	gtodo
%define	version	0.14
%define	release	%mkrel 7
%define	Summary	TODO List manager for Gnome 2

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
URL:		http://gtodo.qballcow.nl/
Source0:	%{name}-%{version}.tar.bz2
Source11:	gtodo16.png
Source12:	gtodo32.png
Source13:	gtodo48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext libxml2-devel gtk+2-devel libGConf2-devel
BuildRequires:	perl-XML-Parser gnome-vfs2-devel

%description
Gtodo is a Gtk+-2.0 Todo list manager written for use with gnome 2.
It tries to follow the hig and gnome policy as good as possible.

%prep
%setup -q 

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF

?package(%{name}): \
	command="%{name}" \
	needs="X11" \
	section="Office/Tasks Management" \
	icon="%{name}.png" \
	title="GTodo" \
	longtitle="%{Summary}" \
	xdg="true"
EOF

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="X-MandrivaLinux-Office-TasksManagement" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
fi

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/*.png
%{_sysconfdir}/gconf/schemas/*

%changelog
* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.14-7mdv2007.0
- fix summary macro used in menu item
- use xdg menu
- don't archive/bzip2 icons
- cleanups

* Fri May 12 2006 Pascal Terjan <pterjan@mandriva.org> 0.14-6mdk
- Rebuild

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.14-5mdk
- fix BuildRequires

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.14-4mdk
- fix BuildRequires

* Wed Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-3mdk
- fix menu section

* Wed Apr 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-2mdk
- cleanup (thanks fcrozat for the tip)

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-1mdk
- 0.14

* Sat Jan 31 2004 Pascal Terjan <pterjan@mandrake.org> 0.13.5-1mdk
- First Package
